From ad44edd9fe50353bef30fecdd07033845e0ff3d6 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 22/32] Issues: Change footer design


---

diff --git a/hubs/static/client/app/widgets/issues/Footer.js b/hubs/static/client/app/widgets/issues/Footer.js
index 258bd00..79ae7b5 100644
--- a/hubs/static/client/app/widgets/issues/Footer.js
+++ b/hubs/static/client/app/widgets/issues/Footer.js
@@ -22,38 +22,43 @@ export default class Footer extends React.Component {
     return (
       <div className="card-footer p-1">
         <div className="row p-1">
-          <div className="col-md-3 text-muted" style={{cursor: 'pointer'}} onClick={this.toggleCounts}>
-            <span>View More</span>
-            <i className="fa fa-angle-right ml-1" aria-hidden="true"/>
-          </div>
-          {this.state.expanded &&
-          <div className="col-md-9">
-            <div className="row pt-0">
+          <div className="text-center" style={{width: '100%'}}>
+            <div className={"btn-group " + (this.state.expanded ? "show": "")}>
+              <button className="btn btn-secondary dropdown-toggle" type="button" onClick={this.toggleCounts}>
+                View More
+              </button>
+            </div>
+            <div className={"dropdown-menu " + (this.state.expanded ? "show": "")}
+                 style={{left: "50%", transform: "translateX(-50%)"}}>
               {this.props.counts.bugzilla &&
-              <div className="col-md-4 text-center">
-                <img src="https://bugzilla.redhat.com/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+              <div className="dropdown-item">
                 <a target="blank"
-                   href={this.props.counts.bugzilla.link}>Bugzilla ({this.props.counts.bugzilla.count})</a>
+                   href={this.props.counts.bugzilla.link}>
+                  <img src="https://bugzilla.redhat.com/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+                  Bugzilla ({this.props.counts.bugzilla.count})
+                </a>
               </div>
               }
               {this.props.counts.github &&
-              <div className="col-md-4 text-center">
-                <img src="https://github.com/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+              <div className="dropdown-item">
                 <a target="blank"
-                   href={this.props.counts.github.link}>Github ({this.props.counts.github.count})</a>
+                   href={this.props.counts.github.link}>
+                  <img src="https://github.com/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+                  Github ({this.props.counts.github.count})
+                </a>
               </div>
               }
               {this.props.counts.pagure &&
-              <div className="col-md-4 text-center">
-                <img src="https://pagure.io/static/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+              <div className="dropdown-item">
                 <a target="blank"
-                   href={this.props.counts.pagure.link}>Pagure ({this.props.counts.pagure.count})</a>
+                   href={this.props.counts.pagure.link}>
+                  <img src="https://pagure.io/static/favicon.ico" style={{height: '16px'}} className={"mr-2"}/>
+                  Pagure ({this.props.counts.pagure.count})
+                </a>
               </div>
               }
             </div>
-
           </div>
-          }
         </div>
       </div>
     )
diff --git a/hubs/static/client/app/widgets/issues/Widget.js b/hubs/static/client/app/widgets/issues/Widget.js
index 6baecbb..7e88cd1 100644
--- a/hubs/static/client/app/widgets/issues/Widget.js
+++ b/hubs/static/client/app/widgets/issues/Widget.js
@@ -56,9 +56,9 @@ export default class IssuesWidget extends React.PureComponent {
         <div>
           <ul className="list-unstyled">
             {
-              this.state.issues.map((issue) => {
+              this.state.issues.map((issue, index) => {
                 return (
-                  <Issue key={issue.service + issue.number} issue={issue} />
+                  <Issue key={issue.service + index} issue={issue} />
                 )
               })
             }

